#ifndef INCLUDED_VIEWER_NONE
#define INCLUDED_VIEWER_NONE

#include "ViewerDevice.h"

class ViewerNONE : public ViewerDevice {
public:
    ViewerNONE(TaskManager* manager) {};
    ViewerNONE() {};
    virtual ~ViewerNONE();

    /* override function */
    Uint32 *video_init(TaskManager *manager, int bpp, int width, int height);
    void clean_pixels(){};
    void clear_screen(){};
    void free_device(){};
    uint32_t* flip_screen(uint32_t *);

};

#endif
